Subject: bug#38087: IceCat: HTTPS Every-where becomes HTTPS No-where :-P

From: Raghav Gururajan <[email-masked]>
Date: Wed, 06 Nov 2019 06:35:55 -0500

Hello Guix and GNUzilla!

P.S. Mark, please don't feel pressured. I am just sumbmitting the issue
for awareness and tracking. :-)

I was using 'HTTPS Everywhere' add-on, with enabled https-only rule.

After v68 upgrade, the icon disappears from the tool bar and https-only 
rule was not in effect as the browser connects to http sites without
warning. But the thing is, under 'extensions' of browser settings, the
add-on is there and shows as enabled. Then when I disable and re-enable 
the add-on, the icon appears and https-only rule becomes in effect.
Everytime I restart the browser, the above situation happens all over
again.

Regards,
RG.